<?php
session_start();
include 'koneksi.php';

if (!isset($_SESSION['id_admin'])) {
    exit("⚠️ Silakan login terlebih dahulu.");
}

$id = $_SESSION['id_admin'];

if (isset($_POST['ubah'])) {
    $pass_lama = $_POST['pass_lama'];
    $pass_baru = $_POST['pass_baru'];
    $konfirmasi = $_POST['konfirmasi'];

    $data = mysqli_fetch_assoc(mysqli_query($conn, "SELECT * FROM data_admin WHERE id_admin = $id"));

    if (!password_verify($pass_lama, $data['password'])) {
        $pesan = "❌ Password lama salah.";
    } elseif ($pass_baru !== $konfirmasi) {
        $pesan = "❌ Konfirmasi tidak cocok.";
    } elseif (strlen($pass_baru) < 6) {
        $pesan = "❌ Password baru minimal 6 karakter.";
    } else {
        $hash = password_hash($pass_baru, PASSWORD_BCRYPT);
        mysqli_query($conn, "UPDATE data_admin SET password = '$hash' WHERE id_admin = $id");
        $pesan = "✅ Password berhasil diubah.";
    }
}
?>

<!DOCTYPE html>
<html>
<head>
  <title>Ganti Password</title>
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
</head>
<body class="p-4">
  <div class="container col-md-6">
    <h3>Ganti Password Admin</h3>
    <?php if (isset($pesan)): ?>
      <div class="alert alert-info"><?= $pesan ?></div>
    <?php endif; ?>
    <form method="POST">
      <div class="mb-3">
        <label>Password Lama</label>
        <input type="password" name="pass_lama" class="form-control" required>
      </div>
      <div class="mb-3">
        <label>Password Baru</label>
        <input type="password" name="pass_baru" class="form-control" required>
      </div>
      <div class="mb-3">
        <label>Konfirmasi Password</label>
        <input type="password" name="konfirmasi" class="form-control" required>
      </div>
      <button type="submit" name="ubah" class="btn btn-success">Ubah Password</button>
      <a href="dashboard_admin.php" class="btn btn-secondary">Kembali</a>
    </form>
  </div>
</body>
</html>
