<?php
include 'koneksi.php';

header('Content-Type: application/json');

$action = $_GET['action'] ?? '';

if ($action == 'traffic') {
    $data = [];
    $result = mysqli_query($conn, "SELECT tanggal, jumlah FROM traffic_log ORDER BY tanggal ASC");
    while ($row = mysqli_fetch_assoc($result)) {
        $timestamp = strtotime($row['tanggal']) * 1000;
        $data[] = [$timestamp, (int)$row['jumlah']];
    }
    echo json_encode($data);

} elseif ($action == 'member_harian') {
    $data = [];
    $result = mysqli_query($conn, "
        SELECT DATE(created_at) as tanggal, COUNT(*) as total 
        FROM data_member 
        GROUP BY DATE(created_at) 
        ORDER BY tanggal ASC
    ");
    while ($row = mysqli_fetch_assoc($result)) {
        $timestamp = strtotime($row['tanggal']) * 1000;
        $data[] = [$timestamp, (int)$row['total']];
    }
    echo json_encode($data);
}
?>
