<!DOCTYPE html> 
<html lang="id">
<head>
  <meta charset="UTF-8">
  <title>Login Admin</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <!-- Font Awesome -->
  <link rel="stylesheet" href="adminlte/plugins/fontawesome-free/css/all.min.css">
  <!-- Bootstrap 4 -->
  <link rel="stylesheet" href="adminlte/plugins/bootstrap/css/bootstrap.min.css">
  <!-- AdminLTE -->
  <link rel="stylesheet" href="adminlte/dist/css/adminlte.min.css">
  <!-- SweetAlert -->
  <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
</head>
<body class="hold-transition login-page">
<div class="login-box">
  <div class="login-logo">
    <b>Admin</b> Login 
    <br>
    <img src="assets/infini88.webp" alt="Logo" style="width: 140px; height: 40px;">
  </div>

  <div class="card">
    <div class="card-body login-card-body">
      <p class="login-box-msg">Silakan masuk untuk memulai sesi</p>

      <!-- FORM LOGIN -->
      <form method="POST" action="proses_login_admin.php">
        <div class="mb-3">
          <label for="username"><i class="fas fa-user"></i> Username</label>
          <input type="text" name="username" class="form-control" placeholder="Masukkan username" required>
        </div>

        <div class="mb-3">
          <label for="password"><i class="fas fa-lock"></i> Password</label>
          <input type="password" name="password" class="form-control" placeholder="Masukkan password" required>
        </div>

        <div class="text-right">
          <button type="submit" name="login" class="btn btn-primary btn-block">
            <i class="fas fa-sign-in-alt"></i> Login
          </button>
        </div>
        
        <br>
        <p class="login-box-msg">Note: Kepada para Member harap memasukan User ID dan Nomor Telepon yang Aktif, Setelah selesai jangan lupa untuk logout.</p>
        
      </form>

    </div>
  </div>
</div>

<!-- Scripts -->
<script src="adminlte/plugins/jquery/jquery.min.js"></script>
<script src="adminlte/plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="adminlte/dist/js/adminlte.min.js"></script>

<!-- SweetAlert Trigger -->
<?php
session_start();
if (isset($_SESSION['alert'])):
?>
<script>
Swal.fire({
  icon: '<?= $_SESSION['alert']['type'] ?>',
  title: '<?= $_SESSION['alert']['type'] == "success" ? "Berhasil" : "Oops..." ?>',
  text: '<?= $_SESSION['alert']['message'] ?>',
  timer: 2500,
  showConfirmButton: false
});
</script>
<?php unset($_SESSION['alert']); endif; ?>

</body>
</html>
