<?php 
session_start();
include 'koneksi.php';

// Cek session admin
if (!isset($_SESSION['id_admin'])) {
    header("Location: index.php");
    exit;
}

// Menangani data POST setelah form disubmit
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $username = $_POST['username'];
    $jenis_cheat = $_POST['jenis_cheat'];
    $winrate = isset($_POST['winrate']) ? 1 : 0;
    $jackpot = isset($_POST['jackpot']) ? 1 : 0;
    $jam_jp = $_POST['jam_jp'];
    $nomor_telepon = $_POST['nomor_telepon'];  // Menambahkan nomor telepon

    // Simpan ke database
    $query = "INSERT INTO data_member (username, jenis_cheat, winrate, jackpot, jam_jp, nomor_telepon) 
              VALUES ('$username', '$jenis_cheat', '$winrate', '$jackpot', '$jam_jp', '$nomor_telepon')";
    $result = mysqli_query($conn, $query);

    if ($result) {
        // Redirect dengan status sukses
        header("Location: proses_tambah_member.php?status=success&username=$username&jenis_cheat=$jenis_cheat&winrate=$winrate&jackpot=$jackpot&jam_jp=$jam_jp");
        exit();
    } else {
        // Jika gagal, tampilkan pesan error
        echo "Error: " . mysqli_error($conn);
    }
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Pengaturan Member</title>
  <link href="adminlte/plugins/fontawesome-free/css/all.min.css" rel="stylesheet">
  <link href="adminlte/dist/css/adminlte.min.css" rel="stylesheet">
  <link href="adminlte/plugins/overlayScrollbars/css/OverlayScrollbars.min.css" rel="stylesheet">
  <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
  <style>
    /* Style untuk toggle switch */
    .toggle-switch {
      position: relative;
      display: inline-block;
      width: 60px;
      height: 34px;
    }

    .toggle-switch input {
      opacity: 0;
      width: 0;
      height: 0;
    }

    .slider {
      position: absolute;
      cursor: pointer;
      background-color: #ccc;
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
      transition: 0.4s;
      border-radius: 34px;
    }

    .slider::before {
      position: absolute;
      content: "";
      height: 26px;
      width: 26px;
      left: 4px;
      bottom: 4px;
      background-color: white;
      transition: 0.4s;
      border-radius: 50%;
    }

    .toggle-switch input:checked + .slider {
      background-color: #28a745;
    }

    .toggle-switch input:checked + .slider::before {
      transform: translateX(26px);
    }

    .toggle-label {
      margin-left: 10px;
      font-weight: bold;
      transition: color 0.4s;
      color: #dc3545;
    }
  </style>
  
  <style>
    #progressContainer {
      width: 100%;
      background-color: #e9ecef;
      border-radius: 30px;
      overflow: hidden;
      margin-bottom: 20px;
      display: none;
    }
    
    #progressBar {
      width: 0%;
      height: 30px;
      background: linear-gradient(90deg, #28a745, #218838);
      text-align: center;
      line-height: 30px;
      color: white;
      font-weight: bold;
      transition: width 0.1s ease-in-out;
      border-radius: 30px;
      font-size: 14px;
    }
  </style>
  
</head>
<body class="hold-transition sidebar-mini layout-fixed">
  <div class="wrapper">
    <!-- Navbar -->
    <nav class="main-header navbar navbar-expand navbar-white navbar-light">
      <ul class="navbar-nav">
        <li class="nav-item">
          <a class="nav-link" data-widget="pushmenu" href="#" role="button">
            <i class="fas fa-bars"></i>
          </a>
        </li>
        <li class="nav-item">
          <a href="dashboard_admin.php" class="nav-link">Dashboard</a>
        </li>
        <li class="nav-item">
          <a href="kelola_member.php" class="nav-link">Kelola Member</a>
        </li>
      </ul>
    </nav>

    <!-- Sidebar -->
    <aside class="main-sidebar sidebar-dark-primary elevation-4">
      <a href="dashboard_admin.php" class="brand-link">
        <img src="adminlte/dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3">
        <span class="brand-text font-weight-light">Admin Dashboard</span>
      </a>
      <div class="sidebar">
        <nav class="mt-2">
          <ul class="nav nav-pills nav-sidebar flex-column">

            <li class="nav-item">
              <a href="kelola_member.php" class="nav-link active">
                <i class="nav-icon fas fa-users-cog"></i>
                <p>Kelola Member</p>
              </a>
            </li>
            
            <li class="nav-item">
                <a href="logout.php" class="nav-link">
                    <i class="nav-icon fas fa-sign-out-alt"></i>
                    <p>Logout</p>
                </a>
            </li>
            
          </ul>
        </nav>
      </div>
    </aside>

    <!-- Content Wrapper -->
    <div class="content-wrapper">
      <div class="content-header">
        <div class="container-fluid">
          <div class="row mb-2 align-items-center">
            <div class="col-sm-6">
              <h1 class="m-0"><i class="fas fa-user-plus"></i> Pengaturan Member</h1>
            </div>
            <div class="col-sm-6 text-right">
              <a href="kelola_member.php" class="btn btn-secondary">
                <i class="fas fa-arrow-left"></i> Kembali
              </a>
            </div>
          </div>
        </div>
      </div>

      <!-- Main content -->
      <div class="content">
        <div class="container-fluid">
          <div class="card card-success card-outline shadow">
            <div class="card-header">
              <h3 class="card-title"><i class="fas fa-plus-circle"></i> Form Pengaturan Member</h3>
            </div>
            <form method="POST" action="proses_tambah_member.php">
              <div class="card-body">
                <div class="form-group">
                  <label><i class="fas fa-user"></i> Username</label>
                  <input type="text" class="form-control" name="username" required>
                </div>
                
                <div class="form-group">
                  <label><i class="fas fa-phone"></i> Nomor Telepon</label>
                  <div class="input-group">
                    <div class="input-group-prepend">
                      <span class="input-group-text">
                        <i class="fas fa-phone"></i>
                      </span>
                    </div>
                    <input type="tel" name="nomor_telepon" id="nomor_telepon" class="form-control"
                           maxlength="13" pattern="\d{10,13}" required
                           title="Masukkan hanya angka (10-13 digit)"
                           placeholder="Contoh: 081234567890">
                  </div>
                  <small class="form-text text-muted">Mohon untuk memasukan nomor Telepon dengan benar, untuk proses withdraw.</small>
                </div>

                <div class="form-group">
                  <label><i class="fas fa-magic"></i> Jenis Cheat</label>
                  <select name="jenis_cheat" class="form-control">
                    <option value="Inject Winrate Pragmatic Play">Inject Winrate Pragmatic Play</option>
                    <option value="Inject Winrate PG Soft">Inject Winrate PG Soft</option>
                    <option value="Inject Super Wild">Inject Super Wild</option>
                    <option value="Inject RTP Maksimal">Inject RTP Maksimal</option>
                  </select>
                </div>

                <div class="form-group">
                  <label class="d-block"><i class="fas fa-percentage"></i> Winrate</label>
                  <div class="d-flex align-items-center">
                    <label class="toggle-switch me-2">
                      <input type="checkbox" name="winrate" value="1" id="winrate-toggle">
                      <span class="slider"></span>
                    </label>
                    <span class="toggle-label" id="winrate-label">Nonaktif</span>
                  </div>
                </div>

                <div class="form-group">
                  <label class="d-block"><i class="fas fa-gem"></i> Jackpot</label>
                  <div class="d-flex align-items-center">
                    <label class="toggle-switch me-2">
                      <input type="checkbox" name="jackpot" value="1" id="jackpot-toggle">
                      <span class="slider"></span>
                    </label>
                    <span class="toggle-label" id="jackpot-label">Nonaktif</span>
                  </div>
                </div>

                <div class="form-group">
                  <label><i class="far fa-clock"></i> Jam Jackpot</label>
                  <input type="time" class="form-control" name="jam_jp">
                </div>
              </div>
              
              <div id="progressContainer">
                 <div id="progressBar">0%</div>
              </div>

              <div class="card-footer text-right">
                <button type="button" class="btn btn-success" id="submitBtn">
                  <i class="fas fa-save"></i> Simpan Member
                </button>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>

  </div>

  <script src="adminlte/plugins/jquery/jquery.min.js"></script>
  <script src="adminlte/plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
  <script src="adminlte/plugins/overlayScrollbars/js/jquery.overlayScrollbars.min.js"></script>
  <script src="adminlte/dist/js/adminlte.min.js"></script>
  
<script>
  document.getElementById('nomor_telepon').addEventListener('input', function () {
    this.value = this.value.replace(/[^0-9]/g, '').slice(0, 13);
  });
</script>
  
  <script>
  document.getElementById("submitBtn").addEventListener("click", function () {
    var progressContainer = document.getElementById("progressContainer");
    var progressBar = document.getElementById("progressBar");
    var form = this.closest("form");

    // Reset
    progressContainer.style.display = "block";
    progressBar.style.width = "0%";
    progressBar.innerText = "0%";

    let progress = 0;
    let duration = 3500; // total 3.5 detik
    let intervalTime = 20;
    let step = (100 / (duration / intervalTime));

    let interval = setInterval(function () {
      progress += step;
      if (progress >= 100) {
        progress = 100;
        clearInterval(interval);
        progressBar.style.width = progress + "%";
        progressBar.innerText = "100%";

        // Submit form setelah loading selesai
        setTimeout(() => {
          form.submit();
        }, 300);
      } else {
        progressBar.style.width = progress + "%";
        progressBar.innerText = Math.floor(progress) + "%";
      }
    }, intervalTime);
  });
</script>

  <script>
    // Update status untuk toggle switch
    function updateLabel(toggleId, labelId) {
      var toggle = document.getElementById(toggleId);
      var label = document.getElementById(labelId);

      if (toggle.checked) {
        label.textContent = "Aktif";
        label.style.color = "#28a745";
      } else {
        label.textContent = "Nonaktif";
        label.style.color = "#dc3545";
      }
    }

    // Event listener untuk toggle
    document.getElementById("winrate-toggle").addEventListener("change", function () {
      updateLabel("winrate-toggle", "winrate-label");
    });

    document.getElementById("jackpot-toggle").addEventListener("change", function () {
      updateLabel("jackpot-toggle", "jackpot-label");
    });

    // Set default status awal
    updateLabel("winrate-toggle", "winrate-label");
    updateLabel("jackpot-toggle", "jackpot-label");

    // Cek status sukses
    <?php if (isset($_GET['status']) && $_GET['status'] == 'success'): ?>
    Swal.fire({
      icon: 'success',
      title: 'Berhasil Aktifkan Inject',
      text: 'Klik OK untuk melihat detail.',
      showConfirmButton: true
    }).then(function() {
      // Tampilkan modal dengan informasi form
      var username = "<?php echo $_GET['username']; ?>";
      var jenis_cheat = "<?php echo $_GET['jenis_cheat']; ?>";
      var winrate = "<?php echo $_GET['winrate'] == '1' ? 'Aktif' : 'Nonaktif'; ?>";
      var jackpot = "<?php echo $_GET['jackpot'] == '1' ? 'Aktif' : 'Nonaktif'; ?>";
      var jam_jp = "<?php echo $_GET['jam_jp']; ?>";

      Swal.fire({
        title: 'Data Member Berhasil Di Inject',
        html: `
          <p><strong>Username:</strong> ${username}</p>
          <p><strong>Jenis Cheat:</strong> ${jenis_cheat}</p>
          <p><strong>Winrate:</strong> ${winrate}</p>
          <p><strong>Jackpot:</strong> ${jackpot}</p>
          <p><strong>Jam Jackpot:</strong> ${jam_jp}</p>
        `,
        icon: 'info'
      }).then(function() {
        // Redirect ke halaman lain setelah OK diklik
        window.location.href = 'https://www.example.com';  // Ganti dengan URL tujuan Anda
      });
    });
    <?php endif; ?>

  </script>
</body>
</html>
