<?php
session_start();
include 'koneksi.php';

if (isset($_POST['login'])) {
    $username = mysqli_real_escape_string($conn, trim($_POST['username']));
    $password = $_POST['password'];

    // Ambil data admin berdasarkan username
    $query = mysqli_query($conn, "SELECT * FROM data_admin WHERE username = '$username' LIMIT 1");
    $data = mysqli_fetch_assoc($query);

    if ($data) {
        // Cek apakah akun aktif
        if ($data['status'] != 1) {
            $_SESSION['alert'] = [
                'type' => 'error',
                'message' => 'Akun Anda belum aktif. Silakan hubungi superadmin.'
            ];
            header("Location: index.php");
            exit;
        }

        // Verifikasi password
        if (password_verify($password, $data['password'])) {
            // Simpan session
            $_SESSION['id_admin'] = $data['id_admin'];
            $_SESSION['username'] = $data['username'];
            $_SESSION['role'] = $data['role'];

            // Update waktu login terakhir
            $id = $data['id_admin'];
            mysqli_query($conn, "UPDATE data_admin SET last_login = NOW() WHERE id_admin = '$id'");

            // SweetAlert sukses login
            $_SESSION['alert'] = [
                'type' => 'success',
                'message' => 'Login berhasil. Selamat datang, ' . $data['username']
            ];

            // Arahkan berdasarkan role
            if ($data['role'] == 'superadmin') {
                header("Location: dashboard_admin.php");
            } else {
                header("Location: kelola_member.php");
            }
            exit;

        } else {
            $_SESSION['alert'] = [
                'type' => 'error',
                'message' => 'Password salah.'
            ];
            header("Location: index.php");
            exit;
        }

    } else {
        $_SESSION['alert'] = [
            'type' => 'error',
            'message' => 'Username tidak ditemukan.'
        ];
        header("Location: index.php");
        exit;
    }
}
?>
