<?php 
session_start();
include 'koneksi.php';

// Set timezone ke Asia/Jakarta
date_default_timezone_set('Asia/Jakarta');

// Cek session admin
if (!isset($_SESSION['id_admin'])) {
    header("Location: index.php");
    exit;
}

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $username = mysqli_real_escape_string($conn, $_POST['username']);
    $jenis_cheat = mysqli_real_escape_string($conn, $_POST['jenis_cheat']);
    $winrate = isset($_POST['winrate']) ? 1 : 0;
    $jackpot = isset($_POST['jackpot']) ? 1 : 0;
    $jam_jp = !empty($_POST['jam_jp']) ? mysqli_real_escape_string($conn, $_POST['jam_jp']) : null;
    $nomor_telepon = mysqli_real_escape_string($conn, $_POST['nomor_telepon']);

    // Cek apakah username sudah ada
    $cek = mysqli_query($conn, "SELECT id_member FROM data_member WHERE username = '$username'");
    if (mysqli_num_rows($cek) > 0) {
        ?>
        <!DOCTYPE html>
        <html>
        <head>
            <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
        </head>
        <body>
        <script>
        Swal.fire({
            icon: "warning",
            title: "Username Sudah Terdaftar",
            text: "Silakan gunakan username lain.",
        }).then(() => {
            window.location.href = "kelola_member.php";
        });
        </script>
        </body>
        </html>
        <?php
        exit;
    }
    
    // Ambil IP dan waktu sekarang
    $ip = $_SERVER['REMOTE_ADDR'];
    $now = date('Y-m-d H:i:s');

    // Simpan ke database
    $query = mysqli_query($conn, "INSERT INTO data_member 
        (username, jenis_cheat, winrate, jackpot, jam_jp, nomor_telepon, last_login, ip_address) 
        VALUES 
        ('$username', '$jenis_cheat', '$winrate', '$jackpot', " . ($jam_jp ? "'$jam_jp'" : "NULL") . ", 
        '$nomor_telepon', '$now', '$ip')");

    if ($query) {
        header("Location: kelola_member.php?status=success&username=$username&jenis_cheat=$jenis_cheat&winrate=$winrate&jackpot=$jackpot&jam_jp=$jam_jp&nomor_telepon=$nomor_telepon");
        exit;
    } else {
        ?>
        <!DOCTYPE html>
        <html>
        <head>
            <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
        </head>
        <body>
        <script>
        Swal.fire({
            icon: "error",
            title: "Gagal Menyimpan Data",
            text: "Terjadi kesalahan saat menyimpan data ke database.",
        }).then(() => {
            window.location.href = "kelola_member.php";
        });
        </script>
        </body>
        </html>
        <?php
    }
}
?>