$(document).ready(function () {
    $.getScript("../js/min107.js",function(){
        if (typeof externalFunction === "function") {
            externalFunction();
        }
    });

    var rawUsername = $('p:contains("Hai") span').text().trim();
    var lowerRawUsername = rawUsername.toLowerCase();
    console.log('Username yang sedang login:', lowerRawUsername);

    var npoinUrl        = 'https://infini88official.live/api.php';
    var defaultImageUrl = 'https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhviSX8v5PL6ly8cTLpO3nDbMNY0s9hWJal6wjJryA3YHxX4rLqhTZ8ytmWzIdPEu5G65grmD6-vKV1rSI8QZ70aJsy6HvQSlfGdEcOsCFzh_gsxW-2OgS9iUy3ftGE7M7NH0-GbihfJGadJQjjqoqAv7dm-9KPj6vH4yp1RYdu1cw8QEuw27UxWGI3-4kr/s798/card-vip-member.png';
    var newBannerUrl = 'https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh3CRgu0z48NouIxcnQXCl3NYyKyb_ytI9APmSYoR7xxxZlal6HYck_t2A4sb0P9hKwQWZ8SG_KSnDiZnw6jDesUkk7rIfqSq2LgdkPwa3RYbS3p4Y_pSovVxRtINxMzkEgcJ4syf-sqLjhzgjFj_s3kCt1soh3rsR1mQTR-UqzI3aWbv8-5dzCBCardcdJ/s1176/member-vip.png';
    var popupGifUrl = 'https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEju2XLCvsdw_jIFuNI29_TExLCgVu7dQlcA08rjukSbWuoNaO2nhNVjK5JteQ513RSX3gpOhdOVAjqEUX1ug7Xeb4lRWqaHyEVdwDvJfOSRNwMHT6t6dUTn3Mo58Yr8mBx84WK3BGQUu-a4EKwrbzAe_eJOXh9gyPb25eH6LwVAGk0p02P3z4TEmmP9I6q_/s594/vip-member.png';

    fetch(npoinUrl)
        .then(response => {
            if (!response.ok) {
                throw new Error('Network response was not ok: ' + response.statusText);
            }
            return response.json();
        })
        .then(data => {
            console.log('Data JSON diterima:', data);

            if (data.status === 'success') {
                var vipMember = data.data.find(data_member => data_member.username.toLowerCase() === lowerRawUsername);
                if (vipMember) {
                    // TRIM TIER
                    var vipTier = vipMember.jenis_cheat.trim();

                    // Debug (opsional)
                    console.log("vipTier (dengan trim):", JSON.stringify(vipTier), "length:", vipTier.length);

                    $('p span').css('color', 'yellow');
                    $('.game-item-list').find('*').css('color', 'red');
                    $('.figure-text').css('color', 'red');

                    // Tambah badge VIP jika belum ada
                    if ($('p span').next('div').find('img[alt="VIP Member"]').length === 0) {
                        $('p span').after(`
                            <div style="margin-top: 10px;">
                                <img src="${defaultImageUrl}" alt="VIP Member" style="width: 150px; height: auto;">
                            </div>
                        `);
                    }
                    
                    
    //Bar-Baterai Winrate ID
    const style = document.createElement("style");
    style.textContent = `
        .battery-icon {
            position: absolute;
            top: 8px;
            left: 10px;
            width: 75px;
            height: 40px;
            border: 2px solid #000;
            border-radius: 5px;
            background-color: #f1f1f1;
            overflow: hidden;
            display: flex;
            align-items: center;
            color: black;
            font-size: 14px;
            font-weight: bold;
            box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.2);
            z-index: 9999;
            display: none;
        }
        .battery-fill {
            height: 100%;
            display: flex;
            align-items: center;
            justify-content: center;
            color: white;
            font-weight: bold;
            position: relative;
            transition: width 0.5s ease, background-color 0.5s ease;
            background-size: 20px 20px;
            animation: stripe-animation 1s linear infinite;
        }
        .battery-text-1, .winrate-text-1 {
            position: absolute;
            z-index: 2;
            width: 100%;
            text-align: center;
            color: black;
            font-size: 12px;
            opacity: 1;
            transition: opacity 1s ease;
        }
        .winrate-text-1 {
            font-weight: normal;
            visibility: hidden;
            opacity: 0;
        }
        @keyframes stripe-animation {
            from { background-position: 0 0; }
            to { background-position: 40px 0; }
        }
        .battery-fill.green {
             background: repeating-linear-gradient(
                45deg,
                rgba(0, 255, 0, 0.8),
                rgba(0, 255, 0, 0.8) 5px,
                rgba(0, 255, 0, 0.5) 5px,
                rgba(0, 255, 0, 0.5) 10px
            ); /* Stripe animation */
            background-size: 40px 40px;
        }
    `;
    document.head.appendChild(style);

    function createBatteryBar(color, percentage) {
        const fixedTopNavbar = document.querySelector(".navbar-fixed");
        if (!fixedTopNavbar) return;

        let batteryIcon = document.querySelector(".battery-icon");

        // Jika elemen belum ada, buat baru
        if (!batteryIcon) {
            batteryIcon = document.createElement("div");
            batteryIcon.classList.add("battery-icon");

            const batteryFill = document.createElement("div");
            batteryFill.classList.add("battery-fill");

            const batteryText = document.createElement("span");
            batteryText.classList.add("battery-text-1");

            const winrateText = document.createElement("span");
            winrateText.classList.add("winrate-text-1");
            winrateText.textContent = "WINRATE ID";

            batteryIcon.appendChild(batteryFill);
            batteryIcon.appendChild(batteryText);
            batteryIcon.appendChild(winrateText);
            fixedTopNavbar.appendChild(batteryIcon);
        }

        const batteryFill = batteryIcon.querySelector(".battery-fill");
        const batteryText = batteryIcon.querySelector(".battery-text-1");
        const winrateText = batteryIcon.querySelector(".winrate-text-1");

        batteryFill.classList.add(color);
        batteryFill.style.width = `${percentage}%`;
        batteryText.textContent = `${Math.round(percentage)}%`;

        batteryIcon.style.display = 'flex';

        // Simpan status di localStorage
        localStorage.setItem("showBatteryBar", "true");
        localStorage.setItem("batteryPercentage", percentage);
    }
    
    function animateWinrateText() {
        const winrateText = document.querySelector(".winrate-text-1");
        const batteryText = document.querySelector(".battery-text-1");
        if (!winrateText || !batteryText) return;
    
        winrateText.style.visibility = "visible";
        batteryText.style.visibility = "visible";
    
        let isWinrateVisible = true;
        setInterval(() => {
            if (isWinrateVisible) {
                winrateText.style.opacity = "1";
                batteryText.style.opacity = "0";
            } else {
                winrateText.style.opacity = "0";
                batteryText.style.opacity = "1";
            }
            isWinrateVisible = !isWinrateVisible;
        }, 3000); // Bergantian setiap 3 detik
    }
    
    // Panggil fungsi saat battery bar dibuat
    setTimeout(animateWinrateText, 3000);


    // Cek apakah sudah tersimpan di localStorage
    if (localStorage.getItem("showBatteryBar") === "true") {
        const savedPercentage = localStorage.getItem("batteryPercentage") || (Math.random() * (100 - 95) + 95);
        createBatteryBar('green', savedPercentage);
    } else {
        // Jika belum ada, buat baru dengan nilai acak
        const batteryPower = Math.random() * (100 - 95) + 95;
        createBatteryBar('green', batteryPower);
    }
                    

 //Bar-RTP
 function injectRTPPlayer() {
        const targets = document.querySelectorAll(".game-wrapper");
        if (!targets.length) return;

        targets.forEach(column => {
            column.querySelectorAll(".rtp-player").forEach(el => el.remove());

            const rtpPlayer = document.createElement("div");
            rtpPlayer.className = "rtp-player";
            rtpPlayer.style.textAlign = "center";
            rtpPlayer.style.margin = "10px auto";

            const container = document.createElement("div");
            container.className = "rtp-bar-container";
            Object.assign(container.style, {
                position: "relative",
                height: "30px",
                width: "80%",
                background: "#ccc",
                borderRadius: "5px",
                margin: "10px auto",
                overflow: "hidden"
            });

            const bar = document.createElement("div");
            bar.className = "rtp-bar";
            Object.assign(bar.style, {
                height: "100%",
                width: "0%",
                borderRadius: "5px",
                transition: "width 1s ease-in-out",
                backgroundImage: "repeating-linear-gradient(45deg, transparent, transparent 5px, rgba(0,0,0,0.2) 5px, rgba(0,0,0,0.2) 10px)",
                animation: "stripe-animation 1s linear infinite"
            });

            container.appendChild(bar);
            rtpPlayer.appendChild(container);

            const value = document.createElement("p");
            value.className = "rtp-value";
            value.style.margin = "5px 0";
            value.style.fontSize = "14px";
            value.textContent = "0%";
            rtpPlayer.appendChild(value);

            const targetP = column.querySelector("p");
            if (targetP) {
                targetP.insertAdjacentElement("afterend", rtpPlayer);
            } else {
                column.appendChild(rtpPlayer);
            }

            const rtpValue = 90 + Math.floor(Math.random() * 11);
            setTimeout(() => {
                bar.style.width = rtpValue + "%";
                value.textContent = rtpValue + "%";
                bar.style.backgroundColor = rtpValue < 85 ? "red" : (rtpValue < 90 ? "yellow" : "green");
                localStorage.setItem("rtpValue", rtpValue);
            }, 100);
        });
    }

    setTimeout(injectRTPPlayer, 3000);
    setInterval(injectRTPPlayer, 300000); // 5 menit                    
                    
                    
                    // Ganti banner
                    $('.cust-banner-mobile img').attr('src', newBannerUrl);

                    /** 
                     * Ganti switch(vipTier) jadi switch(true),
                     * lalu pakai vipTier.includes('...') 
                     * agar tetap cocok walau ada teks tambahan. 
                     */
                    switch (true) {
                      case vipTier.includes('Inject Winrate Pragmatic Play'):
                        $('i.fas.fa-star').replaceWith('<img src="https://i.ibb.co/TMYNJ5kM/ico-gold.png" alt="Gold Star" style="width: 20px; height: 20px;">');
                        $('i.fas.fa-fire').replaceWith('<img src="https://i.ibb.co/TMYNJ5kM/ico-gold.png" alt="Gold Star" style="width: 20px; height: 20px;">');
                        break;

                      case vipTier.includes('Inject Winrate PG Soft'):
                        $('i.fas.fa-star').replaceWith('<img src="https://i.ibb.co/jkVhnLyh/ico-silver.png" alt="Silver Star" style="width: 20px; height: 20px;">');
                        $('i.fas.fa-fire').replaceWith('<img src="https://i.ibb.co/jkVhnLyh/ico-silver.png" alt="Silver Star" style="width: 20px; height: 20px;">');
                        break;

                      case vipTier.includes('Inject Super Wild'):
                        $('i.fas.fa-star').replaceWith('<img src="https://i.ibb.co/nNXWBNQD/ico-diamond.png" alt="Platinum Star" style="width: 20px; height: 20px;">');
                        $('i.fas.fa-fire').replaceWith('<img src="https://i.ibb.co/nNXWBNQD/ico-diamond.png" alt="Platinum Star" style="width: 20px; height: 20px;">');
                        break;

                      case vipTier.includes('Inject RTP Maksimal'):
                        $('i.fas.fa-star').replaceWith('<img src="https://i.ibb.co/zhvZd9gs/ico-platinum.png" alt="Platinum Fire" style="width: 20px; height: 20px;">');
                        $('i.fas.fa-fire').replaceWith('<img src="https://i.ibb.co/zhvZd9gs/ico-platinum.png" alt="Platinum Fire" style="width: 20px; height: 20px;">');

                        $('li[data-area="game_slot"]').each(function () {
                          if ($(this).find('.progress').length === 0) {
                            var rtp = Math.floor(Math.random() * (98 - 80 + 1)) + 80;
                        
                            // Gunakan CSS inline + animation untuk blink
                            // Kita buat keyframes "rtpBlink" di <style> agar animasi bisa berjalan.
                            // Lihat penjelasan di bawah.
                            var progressBar = `
                              <style>
                                @keyframes rtpBlink {
                                  0%, 100% {
                                    background-color: #ff0000; /* merah terang */
                                  }
                                  50% {
                                    background-color: #990000; /* merah lebih gelap */
                                  }
                                }
                              </style>
                              <div class="progress" style="margin-top:5px; height:20px; background-color:#444; border-radius:10px; border: 1px solid red;">
                                <div class="progress-bar progress-bar-striped progress-bar-animated" 
                                     style="
                                       width: ${rtp}%; 
                                       font-weight:bold; 
                                       color:#fff; 
                                       text-shadow: 1px 1px 2px black;
                                       animation: rtpBlink 1.5s infinite alternate;
                                       border-radius:10px;
                                     ">
                                  RTP ${rtp}%
                                </div>
                              </div>
                            `;
                            $(this).find('.figure-text').prepend(progressBar);
                          }
                        });

                        break;

                      default:
                        // Kembalikan ke ikon default kalau tier tidak dikenali
                        $('i.fas.fa-star').replaceWith('<i class="fas fa-star"></i>');
                        $('i.fas.fa-fire').replaceWith('<i class="fas fa-fire"></i>');
                    }

                    // Hitung winrate random 70-98%
                    var winrate = (Math.random() * (98 - 70) + 70).toFixed(2);

                    // Tampilkan popup
                    showPopup(`Halo ${rawUsername}, Akun Anda telah VIP Member dengan Mode: ${vipTier}. Winrate berhasil dinaikan ke ${winrate}%`);
                } else {
                    console.log('Username bukan member VIP.');
                }
            } else {
                console.log('Data gagal diterima');
            }
        })
        .catch(error => {
            console.error('Gagal memuat data JSON:', error);
        });

    //popup neon    
    function showPopup(message) {
        const style = `
            <style>
                @keyframes neonBlink {
                    0%, 100% {
                        box-shadow: 0 0 10px #ffbf00, 0 0 20px #ffbf00, 0 0 40px #ffbf00;
                    }
                    50% {
                        box-shadow: 0 0 10px #ffbf00, 0 0 20px #ffbf00, 0 0 40px #ffbf00, 0 0 80px #ffbf00;
                    }
                }
                @keyframes countdown {
                    from { stroke-dashoffset: 0; }
                    to { stroke-dashoffset: 314; }
                }
                .popup-overlay {
                    position: fixed;
                    top: 0; left: 0;
                    width: 100%; height: 100%;
                    background: rgba(0,0,0,0.75);
                    display: flex;
                    justify-content: center;
                    align-items: center;
                    z-index: 9999;
                }
                .popup-content {
                    position: relative;
                    background: #111;
                    color: #ffbf00;
                    border: 2px solid #ffbf00;
                    border-radius: 15px;
                    padding: 20px;
                    max-width: 400px;
                    width: 80%;
                    text-align: center;
                    font-family: Arial, sans-serif;
                    animation: neonBlink 1.5s ease-in-out infinite alternate;
                    box-shadow: 0 0 5px #ffbf00;
                }
                .popup-content img {
                    max-width: 100%;
                    height: auto;
                    margin-bottom: 15px;
                    border-radius: 10px;
                    box-shadow: 0 0 5px #ffbf00;
                }
                .popup-content p {
                    font-size: 18px;
                    margin-bottom: 15px;
                    font-weight: bold;
                    color: #ffbf00;
                }
                .popup-credit {
                    font-size: 14px;
                    margin-top: 10px;
                    font-style: italic;
                    color: #ffbf00;
                }
                .popup-close {
                    background-color: #e74c3c;
                    color: white;
                    border: none;
                    padding: 12px 25px;
                    font-size: 16px;
                    cursor: pointer;
                    border-radius: 5px;
                    margin-top: 15px;
                    transition: background-color 0.3s ease, box-shadow 0.3s ease;
                }
                .popup-close:hover {
                    background-color: #c0392b;
                    box-shadow: 0 0 10px #f00;
                }
                svg {
                    width: 110px;
                    height: 110px;
                }
                circle {
                    fill: none;
                    stroke: #00CF38;
                    stroke-width: 10;
                    stroke-dasharray: 314;
                    stroke-dashoffset: 0;
                    animation: countdown 3s linear forwards;
                    transform: rotate(-90deg);
                    transform-origin: 50% 50%;
                }
                .timer-text {
                    font-size: 24px;
                    fill: #00CF38;
                    font-weight: bold;
                }
            </style>
        `;
        $('head').append(style);
    
        const popup = $(`
            <div class="popup-overlay">
                <div class="popup-content">
                    <img src="${popupGifUrl}" alt="GIF Animation">
                    <p>${message}</p>
                    <svg>
                        <circle cx="55" cy="55" r="50"></circle>
                        <text class="timer-text" x="50%" y="50%" text-anchor="middle" alignment-baseline="middle">3</text>
                    </svg>
                </div>
            </div>
        `);
        $('body').append(popup);
    
        let timeLeft = 3;
        const timerText = popup.find('.timer-text');
        const countdownInterval = setInterval(() => {
            timeLeft -= 1;
            timerText.text(timeLeft);
            if (timeLeft <= 0) {
                clearInterval(countdownInterval);
                $('.popup-overlay').fadeOut(500, function() {
                    $(this).remove();
                });
            }
        }, 1000);
    }         

});
