<?php
session_start();
include 'koneksi.php';

if (!isset($_SESSION['id_admin']) || $_SESSION['role'] != 'superadmin') {
  echo "<script>
    alert('Akses ditolak!');
    window.location='dashboard_admin.php';
  </script>";
  exit;
}

$adminList = mysqli_query($conn, "SELECT * FROM data_admin WHERE role != 'superadmin'");

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
  foreach ($_POST['akses'] as $id_admin => $akses) {
    $kelola_admin = isset($akses['kelola_admin']) ? 1 : 0;
    $kelola_member = isset($akses['kelola_member']) ? 1 : 0;
    $akses_dashboard = isset($akses['akses_dashboard']) ? 1 : 0;

    $cek = mysqli_query($conn, "SELECT id_akses FROM akses_admin WHERE id_admin = $id_admin");
    if (mysqli_num_rows($cek) > 0) {
      mysqli_query($conn, "UPDATE akses_admin SET kelola_admin=$kelola_admin, kelola_member=$kelola_member, akses_dashboard=$akses_dashboard WHERE id_admin=$id_admin");
    } else {
      mysqli_query($conn, "INSERT INTO akses_admin (id_admin, kelola_admin, kelola_member, akses_dashboard) VALUES ($id_admin, $kelola_admin, $kelola_member, $akses_dashboard)");
    }
  }

  echo "<script>
    alert('Hak akses berhasil diperbarui!');
    window.location='atur_akses.php';
  </script>";
  exit;
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
  <title>Atur Hak Akses</title>
  <link rel="stylesheet" href="adminlte/plugins/fontawesome-free/css/all.min.css">
  <link rel="stylesheet" href="adminlte/dist/css/adminlte.min.css">
</head>
<body class="hold-transition sidebar-mini layout-fixed">
<div class="wrapper">
  <?php include 'navbar.php'; ?>
  <?php include 'sidebar.php'; ?>

  <div class="content-wrapper">
    <div class="content-header"><div class="container-fluid"><h1>Atur Hak Akses Admin</h1></div></div>
    <div class="content">
      <div class="container-fluid">
        <form method="POST">
          <table class="table table-bordered">
            <thead class="bg-primary text-white">
              <tr>
                <th>Nama Admin</th>
                <th>Kelola Admin</th>
                <th>Kelola Member</th>
                <th>Akses Dashboard</th>
              </tr>
            </thead>
            <tbody>
              <?php while ($admin = mysqli_fetch_assoc($adminList)):
                $id = $admin['id_admin'];
                $akses = mysqli_fetch_assoc(mysqli_query($conn, "SELECT * FROM akses_admin WHERE id_admin = $id"));
              ?>
              <tr>
                <td><?= htmlspecialchars($admin['nama_lengkap']) ?></td>
                <td><input type="checkbox" name="akses[<?= $id ?>][kelola_admin]" <?= @$akses['kelola_admin'] ? 'checked' : '' ?>></td>
                <td><input type="checkbox" name="akses[<?= $id ?>][kelola_member]" <?= @$akses['kelola_member'] ? 'checked' : '' ?>></td>
                <td><input type="checkbox" name="akses[<?= $id ?>][akses_dashboard]" <?= @$akses['akses_dashboard'] ?? 1 ? 'checked' : '' ?>></td>
              </tr>
              <?php endwhile; ?>
            </tbody>
          </table>
          <button type="submit" class="btn btn-success">Simpan Akses</button>
        </form>
      </div>
    </div>
  </div>
</div>

<script src="adminlte/plugins/jquery/jquery.min.js"></script>
<script src="adminlte/plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="adminlte/dist/js/adminlte.min.js"></script>
</body>
</html>
