<?php
session_start();
include 'koneksi.php';

if (!isset($_SESSION['id_admin']) || $_SESSION['role'] != 'superadmin') {
    exit("⚠️ Akses ditolak.");
}

$id = $_GET['id'];
$data = mysqli_fetch_assoc(mysqli_query($conn, "SELECT * FROM data_admin WHERE id_admin = $id"));

if (!$data) {
    exit("❌ Admin tidak ditemukan.");
}

if (isset($_POST['update'])) {
    $nama = mysqli_real_escape_string($conn, $_POST['nama_lengkap']);
    $role = $_POST['role'];
    $status = $_POST['status'];

    mysqli_query($conn, "UPDATE data_admin SET nama_lengkap='$nama', role='$role', status='$status' WHERE id_admin = $id");
    header("Location: kelola_admin.php");
    exit;
}
?>

<!DOCTYPE html>
<html>
<head>
  <title>Edit Admin</title>
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
</head>
<body class="p-4">
  <div class="container">
    <h2>Edit Admin: <?= htmlspecialchars($data['username']) ?></h2>
    <form method="POST">
      <div class="mb-3">
        <label>Nama Lengkap</label>
        <input type="text" name="nama_lengkap" class="form-control" value="<?= htmlspecialchars($data['nama_lengkap']) ?>" required>
      </div>
      <div class="mb-3">
        <label>Role</label>
        <select name="role" class="form-select">
          <option value="admin" <?= $data['role'] == 'admin' ? 'selected' : '' ?>>Admin</option>
          <option value="superadmin" <?= $data['role'] == 'superadmin' ? 'selected' : '' ?>>Superadmin</option>
          <option value="moderator" <?= $data['role'] == 'moderator' ? 'selected' : '' ?>>Moderator</option>
        </select>
      </div>
      <div class="mb-3">
        <label>Status</label>
        <select name="status" class="form-select">
          <option value="1" <?= $data['status'] == 1 ? 'selected' : '' ?>>Aktif</option>
          <option value="0" <?= $data['status'] == 0 ? 'selected' : '' ?>>Nonaktif</option>
        </select>
      </div>
      <button type="submit" name="update" class="btn btn-success">Simpan</button>
      <a href="kelola_admin.php" class="btn btn-secondary">Batal</a>
    </form>
  </div>
</body>
</html>
