<?php
include 'koneksi.php';

$action = $_GET['action'] ?? '';  // Mendapatkan aksi yang diinginkan dari parameter URL

header('Content-Type: application/json');  // Menetapkan header JSON untuk respon

// Mengambil jumlah total member
if ($action === 'total') {
    $query = "SELECT COUNT(*) AS total FROM data_member";  // Query untuk menghitung total member
    $result = mysqli_query($conn, $query);
    $row = mysqli_fetch_assoc($result);
    echo json_encode(['total' => (int)$row['total']]);  // Mengirimkan data total member sebagai JSON
}

// Mengambil jumlah member berdasarkan jenis cheat
elseif ($action === 'jenis_cheat') {
    $query = "SELECT jenis_cheat, COUNT(*) AS jumlah FROM data_member GROUP BY jenis_cheat";  // Query untuk jumlah member berdasarkan jenis cheat
    $result = mysqli_query($conn, $query);

    $data = [];
    while ($row = mysqli_fetch_assoc($result)) {
        // Menyusun data untuk grafik
        $data[] = [
            'jenis_cheat' => $row['jenis_cheat'],
            'jumlah' => (int)$row['jumlah']
        ];
    }

    echo json_encode($data);  // Mengirimkan data jenis cheat dan jumlahnya sebagai JSON
} 

// Menangani kasus jika action tidak valid
else {
    echo json_encode(['error' => 'Invalid action']);
}

?>