<?php 
session_start();
include 'koneksi.php';

// Cek session admin
if (!isset($_SESSION['id_admin'])) {
    header("Location: index.php");
    exit;
}

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $username     = mysqli_real_escape_string($conn, $_POST['username']);
    $jenis_cheat  = mysqli_real_escape_string($conn, $_POST['jenis_cheat']);
    $winrate      = isset($_POST['winrate']) ? 1 : 0;
    $jackpot      = isset($_POST['jackpot']) ? 1 : 0;
    $jam_jp       = mysqli_real_escape_string($conn, $_POST['jam_jp']);

    // Simpan data ke database
    $query = "INSERT INTO data_member (username, jenis_cheat, winrate, jackpot, jam_jp) 
              VALUES ('$username', '$jenis_cheat', '$winrate', '$jackpot', '$jam_jp')";

    if (mysqli_query($conn, $query)) {
        // Tampilkan SweetAlert setelah berhasil disimpan
        echo "
        <script src='https://cdn.jsdelivr.net/npm/sweetalert2@11'></script>
        <script>
          Swal.fire({
            icon: 'success',
            title: 'Inject Berhasil Dipasang!',
            text: 'Member baru dengan jenis cheat $jenis_cheat berhasil ditambahkan.',
            showConfirmButton: false,
            timer: 2000
          }).then(() => {
            window.location.href = 'kelola_member.php'; // Redirect setelah 2 detik
          });
        </script>
        ";
    } else {
        echo "
        <script src='https://cdn.jsdelivr.net/npm/sweetalert2@11'></script>
        <script>
          Swal.fire({
            icon: 'error',
            title: 'Gagal Menambahkan Member',
            text: 'Terjadi kesalahan saat menambahkan member baru.',
            showConfirmButton: false,
            timer: 2000
          }).then(() => {
            window.history.back();
          });
        </script>
        ";
    }
}
?>
