<?php
header("Content-Type: application/json");
header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

$servername = "localhost";
$username = "pbniqqws_usercheatengine";
$password = "Selaluceria123";
$dbname = "pbniqqws_db_cheatengine";

$conn = new mysqli($servername, $username, $password, $dbname);
if ($conn->connect_error) {
    die(json_encode(["state" => "error", "message" => "Koneksi database gagal."]));
}

$action = $_POST['action'] ?? '';

if ($action == "get_jenis_cheat") {
    // Daftar jenis cheat statis
    $jenis_cheat = [
        ["jenis_cheat_value" => "Inject Winrate Pragmatic Play", "jenis_cheat_label" => "Inject Winrate Pragmatic Play"],
        ["jenis_cheat_value" => "Inject Winrate PG Soft", "jenis_cheat_label" => "Inject Winrate PG Soft"],
        ["jenis_cheat_value" => "Inject Super Wild", "jenis_cheat_label" => "Inject Super Wild"],
        ["jenis_cheat_value" => "Inject RTP Maksimal", "jenis_cheat_label" => "Inject RTP Maksimal"]
    ];

    echo json_encode(["state" => "ok", "jenis_cheat" => $jenis_cheat]);
} 
elseif ($action == "cek_username") {
    $username = $_POST['username'] ?? '';
    if (!$username) {
        echo json_encode(["state" => "error", "message" => "Username diperlukan."]);
        exit;
    }
    
    $stmt = $conn->prepare("SELECT id_member FROM data_member WHERE username = ?");
    $stmt->bind_param("s", $username);
    $stmt->execute();
    $stmt->store_result();
    
    if ($stmt->num_rows > 0) {
        echo json_encode(["state" => "login_form", "message" => "Username sudah terdaftar."]);
    } else {
        echo json_encode(["state" => "form_pendaftaran", "message" => "Username belum terdaftar."]);
    }
    $stmt->close();
} 
elseif ($action == "register") {
    $username = $_POST['username'] ?? '';
    $jenis_cheat = $_POST['jenis_cheat'] ?? '';
    
    if (!$username || !$jenis_cheat) {
        echo json_encode(["state" => "error", "message" => "Data tidak lengkap."]);
        exit;
    }
    
    $stmt = $conn->prepare("SELECT id_member FROM data_member WHERE username = ?");
    $stmt->bind_param("s", $username);
    $stmt->execute();
    $stmt->store_result();
    
    if ($stmt->num_rows > 0) {
        echo json_encode(["state" => "username_terdaftar", "message" => "Username sudah digunakan."]);
    } else {
        $stmt = $conn->prepare("INSERT INTO data_member (username, jenis_cheat) VALUES (?, ?)");
        $stmt->bind_param("ss", $username, $jenis_cheat);
        if ($stmt->execute()) {
            echo json_encode(["state" => "pendaftaran_berhasil", "message" => "Pendaftaran berhasil!"]);
        } else {
            echo json_encode(["state" => "error", "message" => "Gagal mendaftarkan."]);
        }
    }
    $stmt->close();
} 
else {
    echo json_encode(["state" => "error", "message" => "Aksi tidak valid."]);
}

$conn->close();
?>
